Skip to main content

List resource types

GET 

/nevisidm/api/scim/v1/ResourceTypes

Returns a paginated list of all SCIM resource types supported by the server. Each resource type describes a type of SCIM resource (e.g., User) with its associated schemas and endpoint path.

Request

Query Parameters

    startIndex integer

    Start index for the listing. Default value: 1.

    Example: 1
    count integer

    Maximum number of elements in the result list. Default value: 10.

    Example: 10

Responses

Resource types retrieved successfully

Schema
    schemas string[]required

    An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.

    totalResults int64required

    Number of total results.

    itemsPerPage int32required

    Number of results in a single response. By default 10. Controlled by 'count' request parameter.

    startIndex int64required

    Start index of current result. By default 1. Controlled by 'startIndex' request parameter.

    Resources ScimBase[]required

    Array of SCIM resources. For example array of users.

  • Array [
  • schemas string[]required

    An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.

  • ]
Loading...